Imports System.Data.Entity.Migrations

Friend NotInheritable Class Configuration
    Inherits DbMigrationsConfiguration(Of MyDbContext)

    Public Sub New()
        Me.AutomaticMigrationsEnabled = True
        Me.AutomaticMigrationDataLossAllowed = True
    End Sub

    Protected Overrides Sub Seed(context As MyDbContext)
        If context.Headers.Any() = True Then
            Return
        End If

        Dim header1 = New Header()
        header1.Id = 1
        header1.Name = "First"
        header1.Details.Add(New Detail() With {.Id = 1, .Name = "Detail 1.1", .HeaderId = header1.Id})
        header1.Details.Add(New Detail() With {.Id = 2, .Name = "Detail 1.2", .HeaderId = header1.Id})
        header1.Details.Add(New Detail() With {.Id = 3, .Name = "Detail 1.3", .HeaderId = header1.Id})

        Dim header2 = New Header()
        header2.Id = 2
        header2.Name = "Second"
        header2.Details.Add(New Detail() With {.Id = 4, .Name = "Detail 2.1", .HeaderId = header2.Id})
        header2.Details.Add(New Detail() With {.Id = 5, .Name = "Detail 2.2", .HeaderId = header2.Id})
        header2.Details.Add(New Detail() With {.Id = 6, .Name = "Detail 2.3", .HeaderId = header2.Id})

        context.Headers.Add(header1)
        context.Headers.Add(header2)
    End Sub
End Class
